- NAME
- SYNOPSIS
- DESCRIPTION
- METHODS
  - Argument
  - TicketsObj

# NAME

      RT::Search - generic baseclass for searches;

# SYNOPSIS

        use RT::Search;
        my $tickets = RT::Tickets->new($CurrentUser);
        my $foo = RT::Search->new(Argument => $arg,
                                  TicketsObj => $tickets);
        $foo->Prepare();
        while ( my $ticket = $foo->Next ) {
            # Do something with each ticket we've found
        }

# DESCRIPTION

# METHODS

## Argument

Return the optional argument associated with this Search

## TicketsObj

Return the Tickets object passed into this search

← Back to index